Daft.ie: Search
Search from Daft.ie as JSON. 1 credit per successful call.
GET /v1/daft-ie/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
section | string | Required | Up to 60 characters |
ad_state | string | Optional | published, sale-agreed |
sort | string | Optional | bestMatch, publishDateDesc, publishDateAsc, priceDesc, priceAsc, distance |
page | integer | Optional | Any |
per_page | integer | Optional | Any |
price_min | number | Optional | Any |
price_max | number | Optional | Any |
min_beds | integer | Optional | Any |
max_beds | integer | Optional | Any |
min_bathrooms | integer | Optional | Any |
property_type | string | Optional | Up to 60 characters |
facility | string | Optional | Up to 400 characters |
first_publish_date | string | Optional | Up to 40 characters |
keyword | string | Optional | Up to 200 characters |
lat | number | Optional | Any |
lon | number | Optional | Any |
radius | integer | Optional | Any |
north | number | Optional | Any |
south | number | Optional | Any |
east | number | Optional | Any |
west | number | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/daft-ie/search?section=residential-to-rent&sort=publishDateDesc&per_page=50" \
-H "X-API-Key: $API_KEY"